##############################################################
# bldindex.sh - builds index.html based on directory contents
#               
# J. David Schronce
##############################################################
#
# LOGO_SRC - Web accessible url for you logo - the default is
#            Lawson's at:
#            http://www.lawson.com/wcw.nsf/Lawson_Logo.gif
#            Leave LOGO_SRC blank to show no logo
#
# BACKGROUND_COLOR - Background color of index.html
#
# FONT_COLOR - Font colors for index.html
#
##############################################################
LOGO_SRC="http://www.lawson.com/wcw.nsf/Lawson_Logo.gif"
BACKGROUND_COLOR=004066
FONT_COLOR=white
##############################################################
if [ $# -ne 2 ]; then
  echo "\nUSAGE: $0 DISPLAY_DIRECTORY VERSION\n"
  exit 0
fi

TMP=$1
VERSION=$2

umask 000

cd $TMP

# Build header
echo "<HTML>" > newindex.html
echo "<HEADER>" >> newindex.html
echo "<TITLE>Lawson Versions</TITLE>" >> newindex.html
echo "</HEADER>" >> newindex.html
echo "<BODY  BGCOLOR=$BACKGROUND_COLOR TEXT=$FONT_COLOR LINK=$FONT_COLOR VLINK=$FONT_COLOR ALINK=$FONT_COLOR>" >> newindex.html
echo "<TABLE BORDER=0>" >> newindex.html
echo "<tr><td>" >> newindex.html
if [ "X$LOGO_SRC" != "X" ]; then
  echo "<img src=\"$LOGO_SRC\">" >> newindex.html
  echo "</td><td>" >> newindex.html
fi
echo "<h2>Current Lawson Versions</h2>" >> newindex.html
echo "</td></tr>" >> newindex.html
echo "</TABLE>" >> newindex.html

echo "<P>Last Updated: `date`</P>" >> newindex.html

echo "<P><H2>View as Web Page</H2></P>" >> newindex.html

echo "<TABLE BORDER=0>" >> newindex.html
# parse out system names from existing files

for sysname in `ls *htm | grep -v index | cut -d"." -f1 | sort -u | sort -n`
do
  echo "<tr><td>" >> newindex.html
  echo "<h2>$sysname</h2>" >> newindex.html

# process all Environment entries for each system
  for envname in `ls $sysname* | cut -d"." -f2 | sort -u | sort -n`
  do
    echo "<tr><td>" >> newindex.html
    echo "&nbsp</td>" >> newindex.html
    echo "<td>" >> newindex.html
    echo "<b>$envname</b>" >> newindex.html
    echo "</td>" >> newindex.html

# process all datatypes entries for each system
    for data in `ls *htm | cut -d"." -f3 | sort -u`
    do
      echo "<td>" >> newindex.html
      if [ -f $sysname.$envname.$data.htm ]; then
        echo "<a href="$sysname.$envname.$data.htm">$data</a>" >> newindex.html
      else
        echo "&nbsp" >> newindex.html
      fi
      echo "</td>" >> newindex.html
    done
    echo "</td></tr>" >> newindex.html
  done
done
echo "</TABLE>" >> newindex.html

echo "<P><H2>View as Spreadsheet</H2></P>" >> newindex.html

echo "<TABLE BORDER=0>" >> newindex.html
# parse out system names from existing files

for sysname in `ls *csv | grep -v index | cut -d"." -f1 | sort -u | sort -n`
do
  echo "<tr><td>" >> newindex.html
  echo "<h2>$sysname</h2><br>" >> newindex.html
  echo "</td></tr>" >> newindex.html

# process all Environment entries for each system
  for envname in `ls $sysname* | cut -d"." -f2 | sort -u | sort -n`
  do
    echo "<tr><td>" >> newindex.html
    echo "&nbsp</td>" >> newindex.html
    echo "<td>" >> newindex.html
    echo "<b>$envname</b>" >> newindex.html
    echo "</td>" >> newindex.html

# process all datatypes entries for each system
    for data in `ls *csv | cut -d"." -f3 | sort -u`
    do
      echo "<td>" >> newindex.html
      if [ -f $sysname.$envname.$data.csv ]; then
        echo "<a href="$sysname.$envname.$data.csv">$data</a>" >> newindex.html
      else
        echo "&nbsp" >> newindex.html
      fi
      echo "</td>" >> newindex.html
    done
    echo "</td></tr>" >> newindex.html
  done
done
echo "</TABLE>" >> newindex.html

echo "<P><font size=-1>Version:$VERSION - J. David Schronce - Saroosh Irani<br>" >> newindex.html
echo "<a href=\"http://www.schronce.net/lawson\" target=schronce.net>" >> newindex.html
echo "Lawson tools from schronce.net</a></font></P>" >> newindex.html

mv newindex.html index.html

